Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 13 Mar 2023 04:17:38 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Had the most worst experience as for today 12th of March 2023 a whole day invested in calling and getting different situations and answers from various call center agents. At 11pm in night finally had no choice other than taking the matter to the call centre manager who was also not at all responsible and responsive to this delivery I scheduled on 11th March, it was promised to be delivered on 12th March and it never happened. I kept waiting and checking my phone the whole day to get call from the delivery but nothing and at the news of the day when I myself called and spoke to the manager he said it was not rescheduled for today. Imaging whole day and this we hear at the end that all that was being told to me whole day was false or a lie in other words.

Please I request to someone responsible to take action against the call centre team especially the Manager Mr. Yousuf, sunny, and Eman and others involved in my various calls throughout the day.

I want someone responsible to respond to me please.

Thank you.

Regards,
Elizabeth Mary https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5836643